Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.evaluators
Class Evaluate

    java.lang.Object
      |
      +--weblogic.common.internal.RemoteEntryPoint
            |
            +--weblogic.event.evaluators.Evaluate

public class Evaluate
extends weblogic.common.internal.RemoteEntryPoint

The Evaluate class provides constructors for Evaluate objects. An Evaluate object is used as an argument for the EventRegistration constructor. An Evaluate object provides information about an evaluator to be used when the topic of an event submitted to the event server matches the topic of a registration of interest in the event. The class name used to construct it is a user-written class that implements the interface weblogic.event.evaluators.EvaluateDef.

Author:
  Copyright (c) 1996, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`, `EvaluateDef`, Serialized Form

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Evaluate()` Constructs a default Evaluate object.
`Evaluate(java.lang.Object o)` Constructs an Evaluate object with the specified Object.
`Evaluate(java.lang.Object o, ParamSet ps)` Constructs an Evaluate object with the specified Object and set of parameters.
`Evaluate(java.lang.String entry)` Constructs an Evaluate object with the specified user-written class name.
`Evaluate(java.lang.String entry, ParamSet ps)` Constructs an Evaluate object with the specified user-written class name and set of parameters.
`Evaluate(T3Client t3, java.lang.String entry, ParamSet ps)` Constructs an Evaluate object with the specified T3Client, user-written class name, and set of parameters.

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, initialize, newInstance, params, readExternal, theObject, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evaluate

    public Evaluate()

  Constructs a default Evaluate object.

### Evaluate

    public Evaluate(java.lang.Object o,
                    ParamSet ps)

  Constructs an Evaluate object with the specified Object and set of parameters. This constructor is used only on the event server to hold the object definition.

  Parameters:
    `o` - Object
    `ps` - ParamSet object

### Evaluate

    public Evaluate(java.lang.Object o)

  Constructs an Evaluate object with the specified Object. This constructor is used only on the event server to hold the object definition.

  Parameters:
    `o` - Object

### Evaluate

    public Evaluate(T3Client t3,
                    java.lang.String entry,
                    ParamSet ps)

  Constructs an Evaluate object with the specified T3Client, user-written class name, and set of parameters. The user-written class implements weblogic.event.evaluators.EvaluateDef.

  Parameters:
    `t3` - T3Client
    `entry` - Name of user-written class
    `ps` - ParamSet object
  See Also:
    `EvaluateDef`

### Evaluate

    public Evaluate(java.lang.String entry,
                    ParamSet ps)

  Constructs an Evaluate object with the specified user-written class name and set of parameters. The user-written class implements weblogic.event.evaluators.EvaluateDef.

  Parameters:
    `entry` - Name of user-written class
    `ps` - ParamSet object
  See Also:
    `EvaluateDef`

### Evaluate

    public Evaluate(java.lang.String entry)

  Constructs an Evaluate object with the specified user-written class name. The user-written class implements weblogic.event.evaluators.EvaluateDef.

  Parameters:
    `entry` - Name of user-written class
  See Also:
    `EvaluateDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD